System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IOperationBehavior System.ServiceModel.Description.IWsdlExportExtension

The enables the control of options, such as the and properties. Some of these properties can be set only using the constructor of the class. In that case, the can be replaced using the method. crabout data contracts, see Using Data Contracts.

crabout using the to replace the returned by the property, see Data Contract Surrogates.

Represents the run-time behavior of the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified operation description.

  An that represents the operation.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified operation description and data contract format.

  An that represents the operation.
  A that is used to control the serialization process.
- Method
  4.0.0.0
  System.Runtime.Serialization.XmlObjectSerializer `` `` `` ``

  Both the and the inherit from the class.

  Creates an instance of a class that inherits from for serialization and deserialization processes.

  An instance of a class that inherits from the class.

  The to create the serializer for. The name of the generated type. The namespace of the generated type. An of that contains known types.
- Method
  4.0.0.0
  System.Runtime.Serialization.XmlObjectSerializer `` `` `` ``

  Both the and the inherit from the class.

  Creates an instance of a class that inherits from for serialization and deserialization processes with an that contains the namespace.

  An instance of a class that inherits from the class.

  The type to serialize or deserialize. The name of the serialized type. An that contains the namespace of the serialized type. An of that contains known types.
- Property
  4.0.0.0
  System.ServiceModel.DataContractFormatAttribute To be added. To be added.

  Gets the associated with the operation.

- Property
  4.0.0.0
  System.Runtime.Serialization.DataContractResolver To be added.

  For more information, see the class document.

  Gets or sets an implementation of the that is used to dynamically map types during serialization and deserialization processes.

- Property
  4.0.0.0
  System.Runtime.Serialization.IDataContractSurrogate To be added. To be added.

  Gets or sets a surrogate to be used during the serialization and deserialization processes.

- Property
  4.0.0.0
  System.Boolean To be added.

  When set to true, the extra data is returned with any other serialized data. crdefault the interface.

  Gets or sets a value that specifies whether the data provided by an extension of a type (and therefore not in the data contract) is ignored or not.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the maximum number of items in the object graph to serialize or deserialize.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Adds a collection of parameters to the behavior.

  The to add the parameters to. The that contains the parameters to add.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Attaches a client behavior to the operation.

  The that represents the operation. A that represents a client.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Applies the behavior to the operation.

  An that represents the operation. The to attach the behavior to.
- Method
  4.0.0.0
  System.Void `` To be added.

  Validates the operation.

  An that represents the operation to validate.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Exports the WSDL representation of the operation.

  A to use for the export.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Exports the endpoint description as a WSDL document.

  A to use for the export.